Cyberduck Mountain Duck CLI

#10114 closed defect (worksforme)

Synchronize -download fails to sftp

Reported by: btully Owned by:
Priority: normal Milestone: 6.9.0
Component: cli Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture:
Platform: macOS 10.12

Description

I am trying to synchronize files from a customer's server via sftp. I can download manually in CyberDuck fine, but using the cli I get an error of "Transfer incomplete…". No file gets retrieved. I am able to upload properly calling duck from a Python script. It is only the download synchronize that fails, either directly from CLI or when called by Python.

Does the synchronize command require a minimum age of FTP to work properly? Are there certain commands that the server needs to understand in order to work?

I am using 6.3.0.

Change History (6)

comment:1 Changed on Oct 23, 2017 at 11:18:37 PM by btully

Using Cyberduck, Version 6.2.9 (26659), is able to sync/download from the same FTP server.

comment:2 Changed on Oct 31, 2017 at 4:30:31 PM by btully

  • Resolution set to fixed
  • Status changed from new to closed

changed settings in brew to use "iterate-ch" version of duck, rather than default setting and now the command line works properly. version 6.3.0.26768

comment:3 Changed on Nov 1, 2017 at 3:56:31 PM by btully

  • Resolution fixed deleted
  • Status changed from closed to reopened

False positive. Even after the update to 6.3.0.26768 the synchronize command fails.

comment:4 follow-up: Changed on Nov 2, 2017 at 8:33:33 PM by btully

If synchronize command is not yet stable, is it possible to initiate mounting a file with Mountain Duck from the command line? Then I could use rsync instead.

comment:5 in reply to: ↑ 4 Changed on Jan 24, 2019 at 8:26:19 AM by dkocher

Replying to btully:

If synchronize command is not yet stable, is it possible to initiate mounting a file with Mountain Duck from the command line? Then I could use rsync instead.

There is no CLI for Mountain Duck but you can of course mount a volume with Mountain Duck and then copy files to the volume using rsync.

comment:6 Changed on Jan 24, 2019 at 8:27:45 AM by dkocher

  • Milestone set to 6.9.0
  • Resolution set to worksforme
  • Status changed from reopened to closed

Please reopen this ticket with the output of the command including the --vebose flag if the error can still be reproduced.

Note: See TracTickets for help on using tickets.
swiss made software